#169 Crash when going from Clip Editor to Multitrack mode

1.0.0
closed
Salsaman
GTK+ (3)
9
2014-04-21
2011-12-19
William Robinson
No

Console output:

Trying to recover the project and do the same gives another crash. This is using 1.4.9 from Ubuntu ppa:ferramroberto/lives

Thanks

bill@bill-desktop:~ > lives

LiVES 1.4.9
Copyright 2002-2011 Gabriel Finch (salsaman@xs4all.nl,salsaman@gmail.com) and others.
LiVES comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details.

glibc detected /usr/lib/lives/lives-exe: malloc(): smallbin double linked list corrupted: 0x0000000002bcec30 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x78a96)[0x7f682313ea96]
/lib/x86_64-linux-gnu/libc.so.6(+0x7accc)[0x7f6823140ccc]
/lib/x86_64-linux-gnu/libc.so.6(libc_malloc+0x6d)[0x7f682314277d]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_malloc+0x23)[0x7f6823b79683]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x1249be)[0x7f68266eb9be]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x1289d8)[0x7f68266ef9d8]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_menu_item_set_use_underline+0xcb)[0x7f682670fd8b]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_newv+0x511)[0x7f68257a5111]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_new_valist+0x1d6)[0x7f68257a5d66]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_new+0xd4)[0x7f68257a6074]
/usr/lib/lives/lives-exe[0x5aa38a]
/usr/lib/lives/lives-exe[0x5bda65]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x7f682579f0a4]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x2102a)[0x7f68257b102a]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x851)[0x7f68257ba6b1]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f68257ba852]
/usr/lib/libdbusmenu-gtk.so.4(+0xd268)[0x7f681aa12268]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x7f682579f0a4]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x2102a)[0x7f68257b102a]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x851)[0x7f68257ba6b1]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f68257ba852]
/usr/lib/libdbusmenu-glib.so.4(dbusmenu_menuitem_handle_event+0x119)[0x7f681a7f4b59]
/usr/lib/libdbusmenu-glib.so.4(+0xa137)[0x7f681a7f6137]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4623b)[0x7f6823b7423b]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x1dd)[0x7f6823b72a5d]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x45258)[0x7f6823b73258]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0x162)[0x7f6823b73792]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x7f68266fbdb7]
/usr/lib/lives/lives-exe[0x41bd5e]
/lib/x86_64-linux-gnu/libc.so.6(
libc_start_main+0xed)[0x7f68230e730d]
/usr/lib/lives/lives-exe[0x4143d9]
======= Memory map: ========
00400000-00642000 r-xp 00000000 08:03 1704547 /usr/lib/lives/lives-exe
00841000-00842000 r--p 00241000 08:03 1704547 /usr/lib/lives/lives-exe
00842000-00846000 rw-p 00242000 08:03 1704547 /usr/lib/lives/lives-exe
00846000-00fa1000 rw-p 00000000 00:00 0
02062000-035e9000 rw-p 00000000 00:00 0 [heap]
7f67eea70000-7f67eea71000 ---p 00000000 00:00 0
7f67eea71000-7f67ef271000 rw-p 00000000 00:00 0
7f67ef271000-7f67ef3c2000 r-xp 00000000 08:03 917517 /usr/lib/libxml2.so.2.7.8
7f67ef3c2000-7f67ef5c1000 ---p 00151000 08:03 917517 /usr/lib/libxml2.so.2.7.8
7f67ef5c1000-7f67ef5c9000 r--p 00150000 08:03 917517 /usr/lib/libxml2.so.2.7.8
7f67ef5c9000-7f67ef5cb000 rw-p 00158000 08:03 917517 /usr/lib/libxml2.so.2.7.8
7f67ef5cb000-7f67ef5cc000 rw-p 00000000 00:00 0
7f67ef5cc000-7f67ef602000 r-xp 00000000 08:03 920537 /usr/lib/libcroco-0.6.so.3.0.1
7f67ef602000-7f67ef801000 ---p 00036000 08:03 920537 /usr/lib/libcroco-0.6.so.3.0.1
7f67ef801000-7f67ef802000 r--p 00035000 08:03 920537 /usr/lib/libcroco-0.6.so.3.0.1
7f67ef802000-7f67ef805000 rw-p 00036000 08:03 920537 /usr/lib/libcroco-0.6.so.3.0.1
7f67ef805000-7f67ef839000 r-xp 00000000 08:03 918617 /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.34.1
7f67ef839000-7f67efa39000 ---p 00034000 08:03 918617 /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.34.1
7f67efa39000-7f67efa3a000 r--p 00034000 08:03 918617 /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.34.1
7f67efa3a000-7f67efa3b000 rw-p 00035000 08:03 918617 /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.34.1
7f67efa3b000-7f67efa3d000 r-xp 00000000 08:03 1580020 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f67efa3d000-7f67efc3c000 ---p 00002000 08:03 1580020 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f67efc3c000-7f67efc3d000 r--p 00001000 08:03 1580020 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f67efc3d000-7f67efc3e000 rw-p 00002000 08:03 1580020 /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f67efc3e000-7f67f1047000 r--p 00000000 08:03 1181230 /usr/share/icons/hicolor/icon-theme.cache
7f67f1047000-7f67f49a8000 r--p 00000000 08:03 1210070 /usr/share/icons/gnome/icon-theme.cache
7f67f49a8000-7f67f4ab8000 r--p 00000000 08:03 1210068 /usr/share/icons/Humanity/icon-theme.cache
7f67f4ab8000-7f67f6ab9000 rw-p 00000000 00:00 0
7f67f6ab9000-7f67f6aba000 ---p 00000000 00:00 0
7f67f6aba000-7f67f72ba000 rw-p 00000000 00:00 0
7f67f72ba000-7f67fb2bb000 rw-s 00000000 00:12 47877 /run/shm/pulse-shm-1415280779
7f67fb2bb000-7f67fb2be000 r-xp 00000000 08:03 1835595 /usr/lib/frei0r-1/sobel.so
7f67fb2be000-7f67fb4bd000 ---p 00003000 08:03 1835595 /usr/lib/frei0r-1/sobel.so
7f67fb4bd000-7f67fb4be000 r--p 00002000 08:03 1835595 /usr/lib/frei0r-1/sobel.so
7f67fb4be000-7f67fb4bf000 rw-p 00003000 08:03 1835595 /usr/lib/frei0r-1/sobel.so
7f67fb4bf000-7f67fb4c1000 r-xp 00000000 08:03 1835561 /usr/lib/frei0r-1/mask0mate.so
7f67fb4c1000-7f67fb6c0000 ---p 00002000 08:03 1835561 /usr/lib/frei0r-1/mask0mate.so
7f67fb6c0000-7f67fb6c1000 r--p 00001000 08:03 1835561 /usr/lib/frei0r-1/mask0mate.so
7f67fb6c1000-7f67fb6c2000 rw-p 00002000 08:03 1835561 /usr/lib/frei0r-1/mask0mate.so
7f67fb6c2000-7f67fb6c5000 r-xp 00000000 08:03 1835611 /usr/lib/frei0r-1/grain_extract.so
7f67fb6c5000-7f67fb8c4000 ---p 00003000 08:03 1835611 /usr/lib/frei0r-1/grain_extract.so
7f67fb8c4000-7f67fb8c5000 r--p 00002000 08:03 1835611 /usr/lib/frei0r-1/grain_extract.so
7f67fb8c5000-7f67fb8c6000 rw-p 00003000 08:03 1835611 /usr/lib/frei0r-1/grain_extract.so

Discussion

  • Salsaman
    Salsaman
    2011-12-20

    No idea - all I can suggest is that you try to obtain a debug version of LiVES, or compile it yourself from source.

    As it is the trace does not provide enough details to be able to resolve the problem.

     
  • Salsaman
    Salsaman
    2011-12-29

    May be fixed in subversion. There was a possible bug where a GTK_TOOLBAR_ITEM was being assigned to a GtkWidget, which kind of matches the output.

     
  • Salsaman
    Salsaman
    2012-11-07

    Closing as fixed - I think this was fixed some time ago.

     
  • Salsaman
    Salsaman
    2012-11-07

    • status: open --> closed
    • milestone: --> 1.0.0